CollectionSummary (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.CollectionSummary class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Class CollectionSummary

    java.lang.Object
      org.hyperic.hq.measurement.server.session.CollectionSummary

    public class CollectionSummary

extends java.lang.Object

Represents information about the collection interval of all scheduled metrics.

Constructor Summary
`CollectionSummary(int total, int interval, java.lang.String metricName, java.lang.String resourceType)`

Method Summary
`int` | `getInterval()` Get the interval (in minutes) of the collection
`java.lang.String` | `getMetricName()`
`java.lang.String` | `getResourceType()`
`int` | `getTotal()` Get the total # of resources collecting metricName, of type resourceType

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionSummary

    public CollectionSummary(int total,
                             int interval,
                             java.lang.String metricName,
                             java.lang.String resourceType)

Method Detail

### getTotal

    public int getTotal()

  Get the total # of resources collecting metricName, of type resourceType

### getInterval

    public int getInterval()

  Get the interval (in minutes) of the collection

  Returns:

### getMetricName

    public java.lang.String getMetricName()

### getResourceType

    public java.lang.String getResourceType()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.